Subject: Re: Not able to use multithreading features of prolog

From: [email-masked]
Date: Wed, 5 Dec 2001 19:15:02 +0530

Hi Jan,

I tried the same procedure as specified by you. And the pl-mt was also built
successfully.
But, when I run the same, it gives me the following error.

=======================================================
gagan:mfamir-/user/mfamir/SWIProlog/Prolog-4.0.11/multi>bin
[FATAL ERROR:
        Could not find system resources]
gagan:mfamir-/user/mfamir/SWIProlog/Prolog-4.0.11/multi>
========================================================

Of course, "bin" above is the link to the "pl-mt" binary. I also tried running
the binary
directly but of no avail.
Also tried after making the packages with same error.

Please help.
Thanks
Amir

Jan Wielemaker <[email-masked]> on 12/05/2001 05:10:52 PM

To:   [email-masked]@swi.swi.psy.uva.nl
cc:    (bcc: Mohd. Fuzail Amir/HSS)

Subject:  Re: Not able to use multithreading features of prolog

On Wed, 05 Dec 2001, [email-masked] wrote:
>Hi,
>
>I am not able to use multithreading features of prolog. My OS is Solaris2.7.
>
>I followed the undermentioned procedure for installing the version 4.0.11.
>
>1. After gzip and untar and going to "pl-4.0.11/src", ran "./configure
>--prefix=$HOME/SWIProlog/Prolog-4.0.11"
>2. Ran "gmake".
>3. Ran "gmake install".

The single and multi-threaded binaries are two different programs.  To
build both (advised), proceed as follows

% tar zxvf pl-4.0.11.tar.gz
% cd pl-4.0.11
% mkdir single
% cd single
% ../src/configure
% make
% make install           # this finishes the normal version
% cd ..
% mkdir multi
% ../src/configure --enable-mt
% make
% make install-mt        # this installs pl-mt in the same
                    # structure as pl.

If you want to build the packages, act as below.  The --enable-mt
prepares them for multithreaded usage.

% cd ../packages
% ./configure --enable-mt
% make
% make install

The linux RPM from our site is build using this sequence.

     --- Jan

----------------
* To UNSUBSCRIBE, please use the HTML form at

    http://www.swi.psy.uva.nl/projects/SWI-Prolog/index.html#mailinglist

or send mail to [email-masked] using the Subject: "unsubscribe"
(without the quotes) and *no* message body.

** An ARCHIVE of this list is maintained at

    http://www.swi.psy.uva.nl/projects/SWI-Prolog/mailinglist/archive/